## org.eclipse.emf.exporter.ui.contribution
Class ModelExporterManager

    java.lang.Object
      org.eclipse.emf.converter.ui.contribution.ModelConverterManager<ModelExporterDescriptor>
          org.eclipse.emf.exporter.ui.contribution.ModelExporterManager

    public class ModelExporterManager

extends ModelConverterManager<ModelExporterDescriptor>

Since:
  2.2.0

Nested Class Summary
`static class` `ModelExporterManager.ModelExporterDescriptorImpl`
`static class` `ModelExporterManager.ModelExporterDescriptorWizardNode`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager
`ModelConverterManager.ModelConverterDescriptorImpl, ModelConverterManager.ModelConverterDescriptorLabelProvider, ModelConverterManager.ModelConverterDescriptorWizardNode`

Field Summary
`static ModelExporterManager` `INSTANCE`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager
`descriptors`

Constructor Summary
`ModelExporterManager()`

Method Summary
`protected ModelConverterManager.ModelConverterDescriptorImpl` `createModelConverterDescriptorImpl()`
`protected ModelConverterManager.ModelConverterDescriptorWizardNode` `createModelConverterDescriptorWizardNode(ModelExporterDescriptor descriptor)`
`protected java.lang.String` `getElementName()`
`protected java.lang.String` `getExtensionPointId()`
`ModelExporterDescriptor` `getModelExporterDescriptor(java.lang.String id)`
`protected java.lang.String` `getPluginId()`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager
`createFromContribution, createModelConverterDescriptorWizardNodeMap, dispose, getModelConverterDescriptor, getModelConverterDescriptors, retrieveContributedModelConverterDescriptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ModelExporterManager INSTANCE

Constructor Detail

### ModelExporterManager

    public ModelExporterManager()

Method Detail

### getPluginId

    protected java.lang.String getPluginId()

  Specified by:
    `getPluginId` in class `ModelConverterManager<ModelExporterDescriptor>`

### getExtensionPointId

    protected java.lang.String getExtensionPointId()

  Specified by:
    `getExtensionPointId` in class `ModelConverterManager<ModelExporterDescriptor>`

### getElementName

    protected java.lang.String getElementName()

  Specified by:
    `getElementName` in class `ModelConverterManager<ModelExporterDescriptor>`

### createModelConverterDescriptorImpl

    protected ModelConverterManager.ModelConverterDescriptorImpl createModelConverterDescriptorImpl()

  Specified by:
    `createModelConverterDescriptorImpl` in class `ModelConverterManager<ModelExporterDescriptor>`

### createModelConverterDescriptorWizardNode

    protected ModelConverterManager.ModelConverterDescriptorWizardNode createModelConverterDescriptorWizardNode(ModelExporterDescriptor descriptor)

  Specified by:
    `createModelConverterDescriptorWizardNode` in class `ModelConverterManager<ModelExporterDescriptor>`

### getModelExporterDescriptor

    public ModelExporterDescriptor getModelExporterDescriptor(java.lang.String id)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.